View Issue Details

IDProjectCategoryView StatusLast Update
12262Bug reports[All Projects] User/User groupspublic2017-05-22 17:40
ReporterseguiAssigned ToLouisGac 
PrioritynoneSeveritymajor 
Status closedResolutionwon't fix 
Product Version2.64.x 
Target VersionFixed in Version 
Summary12262: User account with full permissions to manage users and groups can't manage groups
DescriptionA user account is given all the permissions to manage users and user groups, however, when logging in as that user, the groups editor shows up empty. Shouldn't it show all the existing groups, with options to add/remove groups, as well as manage group members?
Steps To Reproduce1. Create a LS user account with full user and group permissions (as shown in the attached image)
2. Log in with the new account
3. Go to group management page (Configuration -> Create/edit user groups)
4. No groups are shown
Additional InformationThis is a show stopper on an implementation where management of users and groups wants to be delegated to a non-superadmin account holder.
TagsNo tags attached.
Complete LimeSurvey version number (& build)2.64.7+170404
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome Version 57.0.2987.133 (64-bit)
Database & DB-VersionMySQL ver 14.14 Distrib 5.5.53, dbversionnumber: 261
Operating System (Server)CentOS 6.8
Webserver software & versionApache/2.2.15 (Unix)
PHP Version5.6.27

Activities

segui

segui

2017-04-07 18:07

reporter  

group_management.png (171,657 bytes)
account_permissions.png (289,585 bytes)
mfavetti

mfavetti

2017-04-17 20:10

developer   ~43404

Just a comment for clarification on the current implementation:
You can only manage groups that you own. So the permission allows the user to create groups (the user will be the owner) and have administrative rights for those groups. But they will not have permissions to administer groups owned by someone else.
segui

segui

2017-04-17 20:20

reporter   ~43405

Thanks for the note. Does that mean there is no way to delegate the creation of user groups for the whole system to one account, without making it a super admin? If so, then this wasn't like that 3 or 4 releases ago.
LouisGac

LouisGac

2017-04-25 12:38

developer   ~43451

the feature will be added when we create a new permission system.
c_schmitz

c_schmitz

2017-05-22 17:40

administrator   ~43698

Release 2.65.1 Build 170522

Issue History

Date Modified Username Field Change
2017-04-07 18:07 segui New Issue
2017-04-07 18:07 segui File Added: account_permissions.png
2017-04-07 18:07 segui File Added: group_management.png
2017-04-17 20:10 mfavetti Note Added: 43404
2017-04-17 20:20 segui Note Added: 43405
2017-04-25 12:38 LouisGac Assigned To => LouisGac
2017-04-25 12:38 LouisGac Status new => resolved
2017-04-25 12:38 LouisGac Resolution open => won't fix
2017-04-25 12:38 LouisGac Note Added: 43451
2017-05-22 17:40 c_schmitz Note Added: 43698
2017-05-22 17:40 c_schmitz Status resolved => closed